Subject: [PATCH v8 1/8] ftrace: make CALLER_ADDRx macros more generic

From: [email-masked] (Will Deacon)
Date: Mon, 12 May 2014 17:12:46 +0100

Hey Steve,

On Mon, May 12, 2014 at 05:05:35PM +0100, Steven Rostedt wrote:
> On Mon, 12 May 2014 16:58:11 +0100
> Will Deacon <[email-masked]> wrote:
> 
> > Akashi: did you get around to posting a new version of this patch? We can't
> > take your arm64 patches until you get the core stuff merged...
> 
> I haven't seen any patches yet.
> 
> What I can also do is to create a separate branch based on mainline,
> and just apply this change to the core. Then you could pull that branch
> with a note to Linus that it is also in my tree with the common
> ancestor.
> 
> If he pulls your work first, he'll only get that change from my tree,
> and if he pulls mine first it doesn't matter as all the changes will be
> there.
> 
> This is something he said at Kernel Summit that was normal procedure if
> there's a change in one tree that another tree is dependent on.

That sounds great, and nicely solves the dependency between our trees for
3.16 at the same time.

If you point us at the branch and promise not to rebase it, that would be
fantastic.

Cheers,

Will